## org.apache.aries.subsystem.core.archive
Class SubsystemExportServiceHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.SubsystemExportServiceHeader

All Implemented Interfaces:
  Header<SubsystemExportServiceHeader.Clause>

    public class SubsystemExportServiceHeader

extends Object
implements Header<SubsystemExportServiceHeader.Clause>

Nested Class Summary
`static class` `SubsystemExportServiceHeader.Clause`

Field Summary
`static String` `NAME`

Constructor Summary
`SubsystemExportServiceHeader(String value)`

Method Summary
`Collection<SubsystemExportServiceHeader.Clause>` `getClauses()`
`String` `getName()`
`String` `getValue()`
`List<org.osgi.resource.Capability>` `toCapabilities(org.osgi.resource.Resource resource)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### SubsystemExportServiceHeader

    public SubsystemExportServiceHeader(String value)

Method Detail

### getClauses

    public Collection<SubsystemExportServiceHeader.Clause> getClauses()

  Specified by:
    `getClauses` in interface `Header<SubsystemExportServiceHeader.Clause>`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Header<SubsystemExportServiceHeader.Clause>`

### getValue

    public String getValue()

  Specified by:
    `getValue` in interface `Header<SubsystemExportServiceHeader.Clause>`

### toCapabilities

    public List<org.osgi.resource.Capability> toCapabilities(org.osgi.resource.Resource resource)
                                                      throws org.osgi.framework.InvalidSyntaxException

  Throws:
    `org.osgi.framework.InvalidSyntaxException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.